
CoCoALib - Bug #1362

GBasis verbose mode: some output is on cerr/clog

13 Nov 2019 14:59 - John Abbott

Status: Closed Start date: 13 Nov 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99700 Spent time: 2.15 hours

Description

With VerbosityLevel set to 150, some output when computing a gbasis is on stderr instead of stdout: e.g.

<120,131, x[1]^2*x[2]^29, Deg=(), Sugar=110> KILLED BY NEW POLY PPWithMask(x[1]*x[2]^27, DivMask(0

0100100100100100100100100100110), DivMaskEvenPowers) BCRIT

 

Presumably all verbose output should be on the same stream.

Rectify!

Related issues:

Related to CoCoA-5 - Support #1387: John's visit Feb 2020 Closed 07 Jan 2020

History

#1 - 14 Nov 2019 09:49 - John Abbott

- Subject changed from GBasis verbose mode: some output is on stderr to GBasis verbose mode: some output is on cerr/clog

- Status changed from New to In Progress

- % Done changed from 0 to 10

In TmpGReductor.C there are numerous print commands onto clog; the commands are called only after checking VerbosityLevel.

clog should be replaced by VerboseLog(LEV) where LEV is the appropriate level.

I note that there is a lot of commented out code in TmpGReductor.C.

#2 - 14 Nov 2019 19:17 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 50

I have mostly fixed this.  There are also very many commented out debugging prints to clog.  Some I have removed; but I prefer to do this when Anna

is present (esp. if the code is "hers").

Some files I have checked in; some I'll send to Anna for checking first.

#3 - 08 Jan 2020 23:04 - John Abbott

Here is a test case:

use QQ[x,y];
L := [(x^3*y^2 -y^5 -4*y^2)^3,  (x^4*y +2*x^3*y -x^2 +2*x*y)^3];

I := ideal(L);

SetVerbosityLevel(150);

RGB := ReducedGBasis(I);

#4 - 09 Jan 2020 11:32 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#5 - 11 Feb 2020 18:09 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

Anna has changed all prints in TmpGReductors to use the stream produced by VerboseLog.

Compiles & all tests pass.

#6 - 12 Feb 2020 18:14 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Removed all calls to clog.  Replaced with VERBOSE.
